curl --request GET \
--url https://api.sandbox.lead.bank/v0/subledger_balances/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v0/subledger_balances/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v0/subledger_balances/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "account_v9K4p2M7nL1wQ8xR5zB6tY3jH0gA",
"id": "subledger_balance_k8L2n9QpW3xR5vT7mZ4jS1bA6cG",
"client_subledger_balance_name": "Personal Loan - Home Improvement",
"client_settlement_bank_account_id": "12345",
"currency_code": "USD",
"created_at": "2025-09-02T11:01:36Z",
"updated_at": "2025-09-02T11:05:00Z",
"status": "active",
"status_reason": "active",
"type": "credit",
"metadata": {},
"details": {
"structure": "<string>",
"balances": {
"core": {
"amount": 8944,
"amount_in_usd": 8944,
"outstanding_principal": 5000,
"outstanding_interest": 2522,
"outstanding_fees": 1422
},
"rewards": {
"amount": 10,
"unit": "points"
},
"dispute": {
"amount": 0,
"principal": 0,
"interest": 0,
"fees": 0
},
"charge_off": {
"amount": 0,
"principal": 0,
"interest": 0,
"fees": 0
},
"past_due": {
"amount": 15,
"past_due_days": 15,
"principal": 15,
"interest": 15,
"fees": 15
}
},
"autopay_method": "ach",
"is_interest_based": true,
"effective_apr": "10.250",
"effective_interest_rate": "9.500000",
"interest_rate": "9.990000",
"expected_maturity_date": "2027-09-01",
"repayment_details": [
{
"expected_payment_frequency": "monthly",
"expected_payment_frequency_interval_days": 60,
"expected_number_of_payments": 24,
"expected_first_payment_date": "2025-10-01",
"expected_first_payment_amount": 4167,
"expected_last_payment_date": "2027-09-01",
"expected_last_payment_amount": 4167,
"expected_payment_amount": 4167
}
],
"max_funding_amount": 10000000,
"term": {
"value": 24,
"unit": "months"
},
"expected_finance_charge_amount": 100000
}
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}Retrieve a Subledger Balance
Retrieve a Subledger Balance object.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Return Subledger Balance associated with this id.
^subledger_balance_\w+$Response
An individual Subledger Balance object
Unique identifier for the account that the Subledger Balance belongs to.
"account_v9K4p2M7nL1wQ8xR5zB6tY3jH0gA"
Lead-generated unique identifier for the Subledger Balance. This ID should subsequently be used when reporting on this object in the Balance file.
"subledger_balance_k8L2n9QpW3xR5vT7mZ4jS1bA6cG"
A name for the product or Subledger Balance being offered to the end-user (e.g., Rainy Day Fund, BNPL loan).
"Personal Loan - Home Improvement"
ID of the underlying settlement bank account where funds for the Subledger Balance are held. Only applicable for certain use cases.
"12345"
A three-letter currency code as defined in ISO 4217.
USD "USD"
An ISO-8601 timestamp at which the Subledger Balance was created in Lead's system.
"2025-09-02T11:01:36Z"
An ISO-8601 timestamp at which the Subledger Balance was last updated in Lead's system.
"2025-09-02T11:05:00Z"
Status of the Subledger Balance.
active, inactive, closed "active"
Reason associated with the status of the Subledger Balance.
"active"
The type of Subledger Balance.
credit, deposit "credit"
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Show child attributes
- Non-Revolving
- Revolving
Show child attributes
Show child attributes
Was this page helpful?

